zenilib: Zeni::Shader_DX9 Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Shader_DX9 Class Reference

`#include <Shader.h>`

Inherits Zeni::Shader.

## Public Member Functions

| Shader_DX9 (const String &shader_src, const Type &type, Video_DX9 &vdx)
| ~Shader_DX9 ()
LPD3DXCONSTANTTABLE | get_constant_table () const
LPDIRECT3DPIXELSHADER9 | get_pixel_shader () const
LPDIRECT3DVERTEXSHADER9 | get_vertex_shader () const
Shader::Type | type () const
Public Member Functions inherited from Zeni::Shader
| Shader ()
virtual | ~Shader ()

## Additional Inherited Members

Public Types inherited from Zeni::Shader
enum | Type { VERTEX, FRAGMENT }

## Detailed Description

Definition at line 203 of file Shader.h.

## Constructor & Destructor Documentation

Zeni::Shader_DX9::Shader_DX9 | ( | const String & | shader_src,
|  | const Type & | type,
|  | Video_DX9 & | vdx
| ) |  |

Definition at line 133 of file Shader.cpp.

References Zeni::String::c_str(), Zeni::String::clear(), Zeni::Video_DX9::D3DXCompileShader(), DWORD(), Zeni::String::find(), Zeni::Video_DX9::get_d3d_device(), HRESULT(), m_pixel_shader, m_vertex_shader, Zeni::String::npos, Zeni::String::rfind(), Zeni::String::size(), Zeni::String::substr(), and Zeni::Shader::VERTEX.

Zeni::Shader_DX9::~Shader_DX9 | ( |  | ) |

Definition at line 338 of file Shader.cpp.

References m_pixel_shader, and m_vertex_shader.

## Member Function Documentation

LPD3DXCONSTANTTABLE Zeni::Shader_DX9::get_constant_table | ( |  | ) | const

inline

Definition at line 53 of file Shader.hxx.

LPDIRECT3DPIXELSHADER9 Zeni::Shader_DX9::get_pixel_shader | ( |  | ) | const

inline

Definition at line 61 of file Shader.hxx.

References m_pixel_shader.

Referenced by Zeni::Video_DX9::set_program().

LPDIRECT3DVERTEXSHADER9 Zeni::Shader_DX9::get_vertex_shader | ( |  | ) | const

inline

Definition at line 57 of file Shader.hxx.

References m_vertex_shader.

Referenced by Zeni::Video_DX9::set_program().

Shader::Type Zeni::Shader_DX9::type | ( |  | ) | const

inline

Definition at line 49 of file Shader.hxx.

References Zeni::Shader::FRAGMENT, and Zeni::Shader::VERTEX.

Referenced by Zeni::Program_DX9::attach().

## Member Data Documentation

LPDIRECT3DPIXELSHADER9 Zeni::Shader_DX9::m_pixel_shader

Definition at line 220 of file Shader.h.

Referenced by get_pixel_shader(), Shader_DX9(), and ~Shader_DX9().

LPDIRECT3DVERTEXSHADER9 Zeni::Shader_DX9::m_vertex_shader

Definition at line 219 of file Shader.h.

Referenced by get_vertex_shader(), Shader_DX9(), and ~Shader_DX9().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Shader.h
- zenilib/jni/external/zenilib/zeni_graphics/Shader.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Shader.hxx